- return unless @project.feature_available?(:push_rules)

- expanded = expanded_by_default?
%section.settings.no-animate#js-push-rules{ class: ('expanded' if expanded), data: { qa_selector: 'push_rules_content' } }
  .settings-header
    %h4
      = s_('PushRule|Push Rules')
    %button.gl-button.btn.btn-default.js-settings-toggle
      = expanded ? _('Collapse') : _('Expand')
    %p
      = s_('PushRules|Restrict push operations for this project.')
      = link_to _('Learn more.'), help_page_path('push_rules/push_rules'), target: '_blank', rel: 'noopener noreferrer'
  .settings-content
    %h5
      = s_('PushRules|Select push rules')
    = form_for [@project, @push_rule] do |f|
      = form_errors(@push_rule)

      = render "shared/push_rules/form", f: f, context: @project
